Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I keep getting this message when I logged into my server in ec2 via ssh

think this is called MOTD

43 packages can be updated.
22 updates are security updates.

but I have already done

sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

I have also restarted my instance.

Please advise.

share|improve this question
    
Is your instance ephemeral or EBS backed? –  Caleb Apr 23 '11 at 12:54
    
EBS backed instance –  Kim Stacks Apr 27 '11 at 9:46

2 Answers 2

up vote 7 down vote accepted

Another one of these "fine" Ubuntu-bugs... Check Ubuntu Bug #634387: https://bugs.launchpad.net/ubuntu/+source/sysvinit/+bug/634387

I deleted the files "/etc/motd.tail" and "/etc/motd.tail.old" and did a logout / login to re-genereate a propper /etc/motd.

share|improve this answer

This is coming from the MOTD (Message Of The Day). The MOTD is pieced together from the commands in /etc/update-motd.d. The specific message comes from running /etc/update-motd.d/90-updates-available.

I have seen this happen on systems where after running sudo apt-get update and packages are kept back

The following packages have been kept back:
  linux-generic linux-headers-generic linux-image-generic
0 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.

The message can mean several things e.g. there may be dependency issues etc. there is more on this in the APT HowTo.

I have managed to stop the messages with

sudo aptitude update
sudo aptitude safe-upgrade

If that doesn't work then the link above does give advice on how to track down the problem packages.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.